Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class SamplerResultTab

    java.lang.Object
      org.apache.jmeter.visualizers.SamplerResultTab

All Implemented Interfaces:
  ResultRenderer

Direct Known Subclasses:
  RenderAsHTML, RenderAsJSON, RenderAsText, RenderAsXML

    public abstract class SamplerResultTab

extends Object
implements ResultRenderer

Nested Class Summary
`static class` | `SamplerResultTab.RowResult` For model table

Field Summary
`protected boolean` | `activateSearchExtension`
`static Color` | `CLIENT_ERROR_COLOR`
`static Color` | `REDIRECT_COLOR`
`protected JEditorPane` | `results` Contains results; contained in resultsPane
`protected JScrollPane` | `resultsScrollPane` Response Data pane
`protected JTabbedPane` | `rightSide` request pane content
`protected SearchTextExtension` | `searchTextExtension`
`static Color` | `SERVER_ERROR_COLOR`
`protected static String` | `TEXT_COMMAND`

Constructor Summary
`SamplerResultTab()`

Method Summary
`void` | `clearData()`
`void` | `init()`
`void` | `renderImage(SampleResult sampleResult)`
`void` | `setBackgroundColor(Color backGround)`
`void` | `setLastSelectedTab(int index)`
`void` | `setRightSide(JTabbedPane side)`
`void` | `setSamplerResult(Object sample)`
`void` | `setupTabPane()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer
`renderResult, toString`

Field Detail

### SERVER_ERROR_COLOR

    public static final Color SERVER_ERROR_COLOR

### CLIENT_ERROR_COLOR

    public static final Color CLIENT_ERROR_COLOR

### REDIRECT_COLOR

    public static final Color REDIRECT_COLOR

### TEXT_COMMAND

    protected static final String TEXT_COMMAND

See Also:
  Constant Field Values

### resultsScrollPane

    protected JScrollPane resultsScrollPane

  Response Data pane

### results

    protected JEditorPane results

  Contains results; contained in resultsPane

### rightSide

    protected JTabbedPane rightSide

  request pane content

### searchTextExtension

    protected SearchTextExtension searchTextExtension

### activateSearchExtension

    protected boolean activateSearchExtension

Constructor Detail

### SamplerResultTab

    public SamplerResultTab()

Method Detail

### clearData

    public void clearData()

  Specified by:
    `clearData` in interface `ResultRenderer`

### init

    public void init()

  Specified by:
    `init` in interface `ResultRenderer`

### setupTabPane

    public void setupTabPane()

  Specified by:
    `setupTabPane` in interface `ResultRenderer`

### setSamplerResult

    public void setSamplerResult(Object sample)

  Specified by:
    `setSamplerResult` in interface `ResultRenderer`

### setRightSide

    public void setRightSide(JTabbedPane side)

  Specified by:
    `setRightSide` in interface `ResultRenderer`

### setLastSelectedTab

    public void setLastSelectedTab(int index)

  Specified by:
    `setLastSelectedTab` in interface `ResultRenderer`

### renderImage

    public void renderImage(SampleResult sampleResult)

  Specified by:
    `renderImage` in interface `ResultRenderer`

### setBackgroundColor

    public void setBackgroundColor(Color backGround)

  Specified by:
    `setBackgroundColor` in interface `ResultRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.